import { createReducer } from "typesafe-actions";
import { omit } from "lodash-es";
export const authReducer = createReducer({})
    .handleAction("TOKEN_SET", (state, { payload }) => ({
    ...state,
    token: payload.token
}))
    .handleAction("TOKEN_CLEAR", state => ({ ...omit(state, ["token"]) }));
